---

- name: Apache2  {{ansible_distribution}} {{ansible_distribution_release}} | install
  package:
    name: "{{ item }}"
    state: present
  with_items:
    - apache2 
    - libapache2-mod-php7.4
    - openssl 
    - php-apcu

- name: Apache2  {{ansible_distribution}} {{ansible_distribution_release}} | prüfen ob Service gestartet ist
  service:
    name: apache2
    state: started
    enabled: yes

- name: Apache2  {{ansible_distribution}} {{ansible_distribution_release}} | benötigte Module enable
  command: 'a2enmod "{{ item }}"'
  with_items:
    - ssl
    - headers

- name: Apache2  {{ansible_distribution}} {{ansible_distribution_release}} | default Site disablen
  command: 'a2dissite 000-default.conf'